import {Formatter} from '@schukai/monster/source/i18n/formatter.mjs';
import {Translations} from '@schukai/monster/source/i18n/translations.mjs';

const translations = new Translations('en')
    .assignTranslations({
        thekey: "${animal} has eaten the ${food}!"
    });

new Formatter({}, translations).format("thekey:animal=dog::food=cake")
// ↦ dog has eaten the cake!
