import {Translations} from '@schukai/monster/source/i18n/translations.mjs';
import {parseLocale} from '@schukai/monster/source/i18n/locale.mjs';

const translation = new Translations(parseLocale('en-GB'));

translation.assignTranslations({
    text1: "click",
    text2: {
        'one': 'click once',
        'other': 'click n times'
    }
});

console.log(translation.getText('text1'));
// ↦ click

console.log(translation.getPluralRuleText('text2', 1));
// -> click once
console.log(translation.getPluralRuleText('text2', 2));
// -> click n times
