import {Processing} from '@schukai/monster/source/util/processing.mjs';

let startTime = +new Date();

new Processing((url) => {
    return fetch(url)
}, (response) => {
    // do something with the response
    console.log(response.status, +new Date() - startTime)
}, 200, () => {
    // this function is called 200 seconds after fetch is received.
    console.log('finished', +new Date() - startTime)
    return 'done'
}).run('https://monsterjs.org/assets/world.json').then(r => {
    console.log(r)
    // ↦ "done"
})
