import {Pathfinder} from '@schukai/monster/source/data/pathfinder.mjs';

let value = new Pathfinder({
    a: {
        b: {
            f: [
                {
                    g: false,
                }
            ],
        }
    }
}).getVia("a.b.f.0.g");

console.log(value);
// ↦ false

try {
    new Pathfinder({}).getVia("a.b.f.0.g");
} catch (e) {
    console.log(e.toString());
    // ↦ Error: the journey is not at its end (b.f.0.g)
}